Skip to content

Retrieve the allowable actions for a secret

Request

OPA roles:
  • end_user

Retrieves a set of allowable actions the current user is authorized to perform on a specified secret. Each action is true if the user is authorized by a matching security policy or admin role, regardless of whether runtime conditions such as MFA or Access Request are met.

Security
bearerAuth
Path
team_namestringrequired

The name of your team

resource_group_idstringrequired

The UUID of a resource group

project_idstringrequired

The UUID of a project

secret_idstringrequired

The UUID of a secret

GET
/v1/teams/{team_name}/resource_groups/{resource_group_id}/projects/{project_id}/secrets/{secret_id}/actions
curl -i -X GET \
  'https://{org_name}.pam.okta.com/v1/teams/{team_name}/resource_groups/{resource_group_id}/projects/{project_id}/secrets/{secret_id}/actions' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
deletebooleanrequired

When true, the user has permission to delete the secret

editbooleanrequired

When true, the user has permission to update the secret

movebooleanrequired

When true, the user has permission to move the secret. The move field can be true only when both reveal and delete fields are true.

revealbooleanrequired

When true, the user has permission to reveal the secret value

Response
{ "reveal": true, "edit": true, "delete": true, "move": true }